package com.lsw.controller;

import com.jfinal.core.Controller;
import com.jfinal.kit.Kv;
import com.jfinal.plugin.activerecord.Db;
import com.jfinal.plugin.activerecord.Record;
import com.lsw.utils.StringUtil;
import com.lsw.utils.TimeUtil;

import java.util.ArrayList;
import java.util.List;

public class ReportController extends Controller {

    public void index() {
        String op = getPara("op", "finish");
        String ID = getPara("ID", "ZMMMGm5mnGCE4WvWFeI");//部门ID
        set("begin", TimeUtil.getDay("firstDay"));
        set("end", TimeUtil.getDay("lastDay"));
        set("DOMAINID", getPara("DOMAINID", "uumsxrgm1KEEqSZIoHs"));
        set("ID", ID);
        List<Record> list = new ArrayList<>();
        List<Record> department_list = Db.template("department", Kv.by("ID", ID)).find();
        for (Record r : department_list) {
            if (r.get("ID").equals(ID)) {
                list.add(new Record().set("value", ID).set("label", r.getStr("NAME")));
            }
        }
        render(op + ".html");
    }

    public void getData() {
        long start = System.currentTimeMillis();
        Kv kv = Kv.create();
        kv.set("DOMAINID", getPara("DOMAINID"));
        kv.set("ID", getPara("ID"));
        kv.set("begin", getPara("begin", TimeUtil.getDay("firstDay")));
        kv.set("end", getPara("end", TimeUtil.getDay("lastDay")));
        List<Record> list = Db.template("finish", kv).find();
        long end = System.currentTimeMillis();
        renderJson(Kv.by("data", list).set("time", StringUtil.mul((end - start), (float) 0.001) + "s"));
    }
}